LINUX.ORG.RU

Ругаются кеды на нехватку чего-то там

 ,


0

1

Какой день не могу в гугле причину найти.
После запуска KDE (иксы стартуют через startx) появляется сообщение: «Служба Nepomuk использует сервер Virtuoso RDF для хранения данных. Для использования Nepomuk необходимо установить модуль Virtuoso Soprano». Дистрибутив - Slackware64 v.14.1. Вроде пакеты virtuoso-ose и soprano установлены.
Ещё в консоле при старке иксов несколько раз появляется сообщение: «QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave».
Так чего же мне не хватает?

★★★★★

Вроде пакеты virtuoso-ose и soprano установлены.

значит криво и/или не все установлены.

Так чего же мне не хватает?

очевидно: мозгов. Для выборочной установки slackware. Лично я не помню, какие именно пакеты нужны для nepomuk'а, их довольно много разных, больше двух. Я в своё время этот непомук выпиливал. А если ты впиливаешь, то непонятно, почему-бы тебе всё не поставить?

emulek ()

Для использования Nepomuk необходимо установить модуль Virtuoso

Так чего же мне не хватает?

Virtuoso. Не благодари.

mbivanyuk ★★★★★ ()
Ответ на: комментарий от sunny1983

дык открой сырцы и посмотри. Там то-ли в слакобильде, только в .info написано.

Или ставь всё, как нормальные люди.

emulek ()

Этот установлен?

Nr	Location	Package	                        Size    Label
1	slackware/l	virtuoso-ose-6.1.6-i486-2.txz	7248K	virtuoso-ose (A high-performance object-relational SQL database)
+
Nr	Location	Package	                        Size    Label
1	slackware/l	soprano-2.9.0-i486-1.txz	572K	soprano (C++/Qt4 framework for RDF data)

aes_ultimum ★★ ()
Последнее исправление: aes_ultimum (всего исправлений: 1)

Дистрибутив - Slackware64 v.14.1.

Делали рекомендованную полную установку или ставили пакеты выборочно?

Вроде пакеты virtuoso-ose и soprano установлены.

Пакетный менеджер Slackware хранит информацию об установленных пакетах в /var/log/packages, проверка наличия сводится к:

ls /var/log/packages/virtuoso-*
ls /var/log/packages/soprano-*

Очень рекомендую для определения зависимостей использовать sbbdep (Slack Build Binary Dependencies).

$ ls /var/log/packages/nepomuk-*
/var/log/packages/nepomuk-core-4.10.5-i486-1  /var/log/packages/nepomuk-widgets-4.10.5-i486-1

$ sbbdep /var/log/packages/nepomuk-core-*
sync cache (/home/xxx/sbbdep.cache)
search for changes
cache is up to date 

aaa_elflibs >= 14.1 | gcc >= 4.8.2
cxxlibs >= 6.0.18 | gcc-g++ >= 4.8.2
exiv2 >= 0.23
glibc >= 2.17 | glibc-solibs >= 2.17
kdelibs >= 4.10.5
poppler >= 0.24.3
qt >= 4.8.5
soprano >= 2.9.0
taglib >= 1.8
$ sbbdep /var/log/packages/nepomuk-widgets-*
sync cache (/home/xxx/sbbdep.cache)
search for changes
cache is up to date 

aaa_elflibs >= 14.1 | gcc >= 4.8.2
cxxlibs >= 6.0.18 | gcc-g++ >= 4.8.2
glibc >= 2.17 | glibc-solibs >= 2.17
kdelibs >= 4.10.5
nepomuk-core >= 4.10.5
qt >= 4.8.5
soprano >= 2.9.0

P.S.

Slackware и зависимости

[некромантия] очень старый ноут (комментарий)

LQWiki Slackware FAQ

Package and dependency management shouldn't put you off Slackware

Essentuki_17 ★★ ()

Ещё в консоле при старке иксов несколько раз появляется сообщение: «QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave».

Это «фича».

anonymous ()
Ответ на: комментарий от emulek

Или ставь всё, как нормальные люди.

Всё - это содержимое всего DVD?

Делали рекомендованную полную установку или ставили пакеты выборочно?

Выборочно. Ъ-методом, то есть сначала чистая консоль, потом всё остальное по мере необходимости.

sunny1983 ★★★★★ ()
Ответ на: комментарий от sunny1983

Всё - это содержимое всего DVD?

Обновление в Slackware (комментарий)

Выборочно. Ъ-методом, то есть сначала чистая консоль, потом всё остальное по мере необходимости.

1. [некромантия] очень старый ноут (комментарий)

2. http://wiki.linuxquestions.org/wiki/Slackware-FAQ#How_do_I_figure_out_package...

3. http://docs.slackware.com/slackware:package_and_dependency_management_shouldn...

Essentuki_17 ★★ ()
Ответ на: комментарий от sunny1983

Всё - это содержимое всего DVD?

в данном случае всё кроме source/, xfce/ (если не нужно), kdei/ (кроме ru, если вы русскоговорящий). Да, ядро только одно нужно.

Выборочно. Ъ-методом, то есть сначала чистая консоль, потом всё остальное по мере необходимости.

ССЗБ.

emulek ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.